So you want 64bit support so you can set Target = Any.  You just installed VS 2008 SP1, but when you run your app you still get an error...

Why?  Because VS 2008 SP1 doesn't actually include the 64bit version of SQL Server Compact 3.5 SP1.  To remedy this, simply install the 64bit version from our download page.  If you've already installed VS 2008 SP1, you have the 32 bit version.  You just need the 64bit version.

Why doesn't VS 2008 SP1 include the 64bit release?  Since VS2008 RTM only included the 32bit version of Compact, it was hard to justify adding a new package to the VS Service Pack.  We could have negotiated this as the DevDiv folks have been very accommodating, but that also meant we would have had to have the 64bit release done much earlier so it can be "checked-in" to the SP1 branch.  To minimize the download size for those that need the 64bit release, and to give our Compact team time to get the 64bit release complete, we opted to make the 64bit release available via the web only. 

Steve